<Project Sdk="Microsoft.NET.Sdk.Web">
  <Import Project="PublishAllRids.xml" />

  <PropertyGroup>
    <TargetFramework>net9.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <GenerateDocumentationFile>true</GenerateDocumentationFile>
    <RuntimeIdentifiers>win-x64;linux-x64;</RuntimeIdentifiers>
    <PublishSingleFile>true</PublishSingleFile>
    <SpaRoot>../</SpaRoot>
    <SpaProxyServerUrl>http://localhost:5173</SpaProxyServerUrl>
    <SpaProxyLaunchCommand>npm run dev</SpaProxyLaunchCommand>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="DotNext" Version="5.19.1" />
    <PackageReference Include="DotNext.Threading" Version="5.19.1" />
    <PackageReference Include="Honoo.IO.Hashing.Crc" Version="1.3.3" />
    <PackageReference Include="linq2db.AspNet" Version="5.4.1" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.NewtonsoftJson" Version="9.0.4" />
    <PackageReference Include="Microsoft.AspNetCore.SpaProxy" Version="9.0.4" />
    <PackageReference Include="Microsoft.OpenApi" Version="1.6.23" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
    <PackageReference Include="NLog" Version="5.4.0" />
    <PackageReference Include="NLog.Web.AspNetCore" Version="5.4.0" />
    <PackageReference Include="NSwag.AspNetCore" Version="14.3.0" />
    <PackageReference Include="System.Data.SQLite.Core" Version="1.0.119" />
  </ItemGroup>

</Project>
